For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • DELDelete
      • PATCHUpdate
LogoLogo
Sign upLog in
API ReferenceOrganizations

Create

POST
https://api.icepanel.io/v1/organizations
POST
/v1/organizations
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.organizations.create({
8 name: "string",
9 });
10}
11main();
1{
2 "organization": {
3 "lineShapeDefault": "curved",
4 "name": "string",
5 "oauthLandscapeWriteEnabled": true,
6 "shareLinkAuthDomains": [
7 "string"
8 ],
9 "shareLinksEnabled": true,
10 "autoInviteDomains": [
11 "string"
12 ],
13 "billingPaymentMethod": true,
14 "createdAt": "2024-01-15T09:30:00Z",
15 "createdBy": "user",
16 "createdById": "string",
17 "id": "string",
18 "plan": "free",
19 "seats": 1.1,
20 "status": "active",
21 "updatedAt": "2024-01-15T09:30:00Z",
22 "updatedBy": "user",
23 "updatedById": "string",
24 "userIds": [
25 "string"
26 ],
27 "users": {},
28 "aiFeatures": {
29 "generateDetailedDescriptions": true,
30 "generateDisplayDescriptions": true,
31 "generateDraftSummary": true,
32 "generateObjectSummary": true
33 },
34 "aiFeaturesEnabled": true,
35 "aiModel": "gpt-5",
36 "billingCurrency": "usd",
37 "billingCycle": "monthly",
38 "billingEmail": "string",
39 "experiments": {},
40 "language": "en-US",
41 "billingCollectionMethod": "charge",
42 "billingMonthlyCost": 1.1,
43 "cancelAt": "2024-01-15T09:30:00Z",
44 "canceledAt": "2024-01-15T09:30:00Z",
45 "planEndsAt": "2024-01-15T09:30:00Z",
46 "trialEndsAt": "2024-01-15T09:30:00Z"
47 }
48}
Was this page helpful?
Previous

Get

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Request

This endpoint expects an object.
namestringRequired<=4000 characters
aiFeaturesobjectOptional
AI features that are enabled for the organization
aiFeaturesEnabledbooleanOptionalDefaults to true
Whether to enable all AI features for the organization
aiModelenumOptional
Allowed values:
billingCurrencyenumOptional
Allowed values:
billingCycleenumOptional
Allowed values:
billingEmailstringOptionalformat: "email"
experimentsmap from strings to booleansOptional
languageenumOptional
Allowed values:
lineShapeDefaultenumOptional
Allowed values:
oauthLandscapeWriteEnabledbooleanOptionalDefaults to true
Whether OAuth connections can make changes to landscape data
shareLinkAuthDomainslist of strings or nullOptional
shareLinksEnabledbooleanOptional

Response

OK
organizationobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error
503
Service Unavailable Error